## python-django-otp 1.0.2

=== Makefile ===
.PHONY: full sdist wheel upload clean


full: clean sdist wheel

sdist:
	python setup.py sdist

wheel:
	python setup.py bdist_wheel

upload:
	twine upload dist/*

clean:
	-rm -r build
	-rm -r dist
	-rm -r src/django_otp.egg-info

## python-django-otp 0.4.0.1

=== debian/changelog ===
python-django-otp (0.4.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Sat, 22 Jul 2017 15:18:32 +0200

python-django-otp (0.3.14-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 4.0.0.

 -- Michael Fladischer <fladi@debian.org>  Tue, 20 Jun 2017 10:11:15 +0200

python-django-otp (0.3.13-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Fri, 12 May 2017 21:50:32 +0200

python-django-otp (0.3.11-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Thu, 16 Mar 2017 11:43:14 +0100

python-django-otp (0.3.10-1) unstable; urgency=low

  * New upstream release.
  * Add python3-qrcode to Recommends for admin integration.

 -- Michael Fladischer <fladi@debian.org>  Mon, 06 Mar 2017 11:11:27 +0100

python-django-otp (0.3.8-2) unstable; urgency=low

  * Remove .DS_Store file.
  * Clean files in django_otp.egg-info to allow two builds in a row.

 -- Michael Fladischer <fladi@debian.org>  Wed, 01 Mar 2017 11:55:09 +0100

python-django-otp (0.3.8-1) unstable; urgency=low

  * Initial release (Closes: #856454).

 -- Michael Fladischer <fladi@debian.org>  Sun, 26 Feb 2017 12:02:03 +0100

=== debian/control ===
Source: python-django-otp
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Fladischer <fladi@debian.org>
Build-Depends: debhelper (>= 10),
               dh-python,
               python3-all,
               python3-django,
               python3-setuptools,
               python3-sphinx
Standards-Version: 4.0.0
X-Python3-Version: >= 3.3
Homepage: https://bitbucket.org/psagers/django-otp
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-django-otp.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-django-otp.git

Package: python3-django-otp
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Recommends: python3-qrcode
Suggests: python-django-otp-doc (= ${binary:Version})
Description: pluggable framework for two-factor authentication (Python3 version)
 This project makes it easy to add support for one-time passwords (OTPs) to
 Django. It can be integrated at various levels, depending on how much
 customization is required. It integrates with django.contrib.auth, although it
 is not a Django authentication backend. The primary target is developers
 wishing to incorporate OTPs into their Django projects as a form of two-factor
 authentication.
 .
 This project includes several simple OTP plugins and more are available
 separately. This package also includes an implementation of OATH HOTP and TOTP
 for convenience, as these are standard OTP algorithms used by multiple plugins.
 .
 This package contains the Python 3 version of the library.

Package: python-django-otp-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: pluggable framework for two-factor authentication (Documentation)
 This project makes it easy to add support for one-time passwords (OTPs) to
 Django. It can be integrated at various levels, depending on how much
 customization is required. It integrates with django.contrib.auth, although it
 is not a Django authentication backend. The primary target is developers
 wishing to incorporate OTPs into their Django projects as a form of two-factor
 authentication.
 .
 This project includes several simple OTP plugins and more are available
 separately. This package also includes an implementation of OATH HOTP and TOTP
 for convenience, as these are standard OTP algorithms used by multiple plugins.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-otp

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=.:docs/ext sphinx-build -b html -d docs/.build/.doctrees -N docs/source docs/.build/html

override_dh_auto_test:
	django-admin startproject test_project
	cp debian/settings.py test_project/test_project/settings.py
	dh_auto_test -- --system=custom --test-args="PYTHONPATH='.:test_project' {interpreter} /usr/bin/django-admin test --settings=test_project.settings django_otp"
	set -e; \
	for plugin in otp_email otp_static otp_hotp otp_totp; do \
		dh_auto_test -- --system=custom --test-args="PYTHONPATH='.:test_project' {interpreter} /usr/bin/django-admin test --settings=test_project.settings django_otp.plugins.$$plugin"; \
	done
	rm -rf test_project

override_dh_clean:
	rm -rf docs/.build
	dh_clean

## python-django-otp 0.4.2

=== debian/changelog ===
python-django-otp (0.4.2-1) unstable; urgency=low

  * New upstream release.
  * Always use pristine-tar.
  * Bump debhelper compatibility and version to 11.
  * Bump Standards-Version to 4.1.3.
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Enable autopkgtest-pkg-python testsuite.

 -- Michael Fladischer <fladi@debian.org>  Mon, 08 Jan 2018 18:45:45 +0100

python-django-otp (0.4.1.1-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches after git-dpm to gbp pq conversion
  * Move upstream signing key to debian/upstream/signing-key.asc.
  * Clean up modified files to allow two builds in a row.
  * Bump Standards-Version to 4.1.1.

 -- Michael Fladischer <fladi@debian.org>  Wed, 01 Nov 2017 20:36:00 +0100

=== debian/control ===
Source: python-django-otp
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper (>= 11),
 dh-python,
 python3-all,
 python3-django,
 python3-setuptools,
 python3-sphinx,
Standards-Version: 4.1.3
X-Python3-Version: >= 3.3
Homepage: https://bitbucket.org/psagers/django-otp
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-django-otp.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-django-otp.git
Testsuite: autopkgtest-pkg-python

Package: python-django-otp-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: pluggable framework for two-factor authentication (Documentation)
 This project makes it easy to add support for one-time passwords (OTPs) to
 Django. It can be integrated at various levels, depending on how much
 customization is required. It integrates with django.contrib.auth, although it
 is not a Django authentication backend. The primary target is developers
 wishing to incorporate OTPs into their Django projects as a form of two-factor
 authentication.
 .
 This project includes several simple OTP plugins and more are available
 separately. This package also includes an implementation of OATH HOTP and TOTP
 for convenience, as these are standard OTP algorithms used by multiple plugins.
 .
 This package contains the documentation.

Package: python3-django-otp
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-qrcode,
Suggests:
 python-django-otp-doc (= ${binary:Version}),
Description: pluggable framework for two-factor authentication (Python3 version)
 This project makes it easy to add support for one-time passwords (OTPs) to
 Django. It can be integrated at various levels, depending on how much
 customization is required. It integrates with django.contrib.auth, although it
 is not a Django authentication backend. The primary target is developers
 wishing to incorporate OTPs into their Django projects as a form of two-factor
 authentication.
 .
 This project includes several simple OTP plugins and more are available
 separately. This package also includes an implementation of OATH HOTP and TOTP
 for convenience, as these are standard OTP algorithms used by multiple plugins.
 .
 This package contains the Python 3 version of the library.

## python-django-otp 0.4.3

=== debian/changelog ===
python-django-otp (0.4.3-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Michael Fladischer ]
  * New upstream release.
  * Refresh patches.
  * Check DEB_BUILD_OPTIONS against nocheck.

 -- Michael Fladischer <fladi@debian.org>  Thu, 29 Mar 2018 10:14:35 +0200

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
 Standards-Version: 4.1.3
 X-Python3-Version: >= 3.3
 Homepage: https://bitbucket.org/psagers/django-otp
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-django-otp.git
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-django-otp.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-otp
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-otp.git
 Testsuite: autopkgtest-pkg-python
 
 Package: python-django-otp-doc

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,7 @@
 	PYTHONPATH=.:docs/ext sphinx-build -b html -d docs/.build/.doctrees -N docs/source docs/.build/html
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	django-admin startproject test_project
 	cp debian/settings.py test_project/test_project/settings.py
 	dh_auto_test -- --system=custom --test-args="PYTHONPATH='.:test_project' {interpreter} /usr/bin/django-admin test --settings=test_project.settings django_otp"
@@ -21,6 +22,7 @@
 		dh_auto_test -- --system=custom --test-args="PYTHONPATH='.:test_project' {interpreter} /usr/bin/django-admin test --settings=test_project.settings django_otp.plugins.$$plugin"; \
 	done
 	rm -rf test_project
+endif
 
 override_dh_clean:
 	rm -rf docs/.build

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/django-otp/django-otp-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-django-otp 0.7.5

=== debian/changelog ===
python-django-otp (0.7.5-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python3-Version field
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.

  [ Michael Fladischer ]
  * New upstream release.
  * Use github.com in d/watch to have test files in the source tarball.
  * Refresh patches.
  * Bump debhelper version to 12.
  * Bump Standards-Version to 4.4.1.
  * Update PYTHONPATH in d/rules to include new src upstream code
    location.
  * Add python3-freezegun to Build-Depends as required by tests.
  * Clean up files to allow two builds in a row.
  * Simplify build tests by reverting to upstream supplied settings.py.
  * Set Rules-Requires-Root: no.
  * Add patch to remove remote image shields to prevent privacy issues.
  * Remove debian/upstream-signing-key.pgp from include-binaries, no
    longer used.

 -- Michael Fladischer <fladi@debian.org>  Sat, 04 Jan 2020 20:58:06 +0100

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,19 @@
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-python,
  python3-all,
  python3-django,
+ python3-freezegun,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.1.3
-X-Python3-Version: >= 3.3
+Standards-Version: 4.4.1
 Homepage: https://bitbucket.org/psagers/django-otp
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-otp
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-otp.git
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python-django-otp-doc
 Section: doc

## python-django-otp 0.8.1

=== debian/changelog ===
python-django-otp (0.8.1-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 4.5.0.

 -- Michael Fladischer <fladi@debian.org>  Mon, 24 Feb 2020 11:00:46 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3-freezegun,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://bitbucket.org/psagers/django-otp
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-otp
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-otp.git

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v([\d\.]+.*)$/python-django-otp-$1/ \
https://github.com/django-otp/django-otp/releases \
/django-otp/django-otp/archive/v([\d\.]+)\.tar\.gz

## python-django-otp 0.9.1

=== debian/changelog ===
python-django-otp (0.9.1-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Bump debhelper version to 13.

 -- Michael Fladischer <fladi@debian.org>  Mon, 15 Jun 2020 21:18:40 +0200

python-django-otp (0.9.0-1) unstable; urgency=low

  * New upstream release.
  * Drop 0002-Call-django.setup-to-initialize-app-registry.patch, fixed
    upstream.
  * Refresh patches.

 -- Michael Fladischer <fladi@debian.org>  Sun, 26 Apr 2020 20:55:44 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-django,

## python-django-otp 1.0.2

=== debian/changelog ===
python-django-otp (1.0.2-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 4.5.1.
  * Use uscan version 4.
  * Enable upstream testsuite for autopkgtests.

 -- Michael Fladischer <fladi@debian.org>  Fri, 18 Dec 2020 22:17:59 +0100

python-django-otp (1.0.1-1) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-django-otp-doc: Add Multi-Arch: foreign.

  [ Michael Fladischer ]
  * New upstream release.
  * Refresh patches.
  * Add python3-qrcode to Build-Depends, required by tests.

 -- Michael Fladischer <fladi@debian.org>  Thu, 22 Oct 2020 22:53:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-django-otp
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
@@ -10,12 +10,13 @@
  python3-all,
  python3-django,
  python3-freezegun,
+ python3-qrcode,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://bitbucket.org/psagers/django-otp
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-otp
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-otp.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-otp
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-otp.git
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 
@@ -25,6 +26,7 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
+Multi-Arch: foreign
 Description: pluggable framework for two-factor authentication (Documentation)
  This project makes it easy to add support for one-time passwords (OTPs) to
  Django. It can be integrated at various levels, depending on how much

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v([\d\.]+.*)$/python-django-otp-$1/ \
https://github.com/django-otp/django-otp/releases \
/django-otp/django-otp/archive/v([\d\.]+)\.tar\.gz

## python-django-otp 1.1.3

=== debian/changelog ===
python-django-otp (1.1.3-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Depend on python3-all for autopkgtests.

 -- Michael Fladischer <fladi@debian.org>  Mon, 06 Dec 2021 09:20:03 +0000

python-django-otp (1.1.1-1) unstable; urgency=medium

  * New upstream release (Closes: #997356).
  * Update d/watch to work with github again.
  * Refresh patches.
  * Bump Standards-Version to 4.6.0.1.

 -- Michael Fladischer <fladi@debian.org>  Wed, 03 Nov 2021 20:24:03 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python3-qrcode,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Homepage: https://bitbucket.org/psagers/django-otp
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-otp
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-otp.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-otp

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=src:docs/ext python3 -m sphinx -b html -d docs/.build/.doctrees -N docs/source docs/.build/html

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test -- --system=custom --test-args="PYTHONPATH='src:test' {interpreter} /usr/bin/django-admin test --settings=test_project.settings django_otp"
endif

override_dh_clean:
	rm -rf docs/.build
	dh_clean

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v([\d\.]+.*)$/python-django-otp-$1/ \
https://github.com/django-otp/django-otp/tags \
/django-otp/django-otp/archive/refs/tags/v([\d\.]+)\.tar\.gz

## python-django-otp 1.2.2

=== debian/changelog ===
python-django-otp (1.2.2-1) unstable; urgency=medium

  * New upstream version 1.2.2
  * Refresh patches.
  * Build using pybuild-plugin-pyproject and python3-hatchling.
  * Bump Standards-Version to 4.6.2.
  * Use packaged mathjax in documentation to prevent privacy breach.
  * Install testfiles using d/pybuild.testfiles.
  * Run tests in build_dir.
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Update project homepage URL and contact email.
  * Update year in d/copyright.
  * Use python3-babel to rebuild translations from source.

 -- Michael Fladischer <fladi@debian.org>  Sun, 06 Aug 2023 22:52:47 +0000

## python-django-otp 1.3.0

=== debian/changelog ===
python-django-otp (1.3.0-1) unstable; urgency=low

  * New upstream version 1.3.0

 -- Michael Fladischer <fladi@debian.org>  Wed, 20 Dec 2023 16:59:38 +0000

python-django-otp (1.2.4-1) unstable; urgency=medium

  * New upstream version 1.2.4

 -- Michael Fladischer <fladi@debian.org>  Sat, 28 Oct 2023 16:11:10 +0000

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,17 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ libjs-mathjax,
+ pybuild-plugin-pyproject,
  python3-all,
+ python3-babel,
  python3-django,
  python3-freezegun,
+ python3-hatchling,
  python3-qrcode,
- python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.6.0.1
-Homepage: https://bitbucket.org/psagers/django-otp
+Standards-Version: 4.6.2
+Homepage: https://github.com/django-otp
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-otp
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-otp.git
 Testsuite: autopkgtest-pkg-python
@@ -24,6 +27,7 @@
 Section: doc
 Architecture: all
 Depends:
+ libjs-mathjax,
  ${misc:Depends},
  ${sphinxdoc:Depends},
 Multi-Arch: foreign

## python-django-otp 1.5.0

=== debian/changelog ===
python-django-otp (1.5.0-1) unstable; urgency=low

  * New upstream version 1.5.0
  * Refresh patches.
  * Use dh-sequence-python3.
  * Bump Standards-Version to 4.7.0.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Fri, 19 Jul 2024 07:54:51 +0000

## python-django-otp 1.5.4

=== debian/changelog ===
python-django-otp (1.5.4-1) unstable; urgency=low

  * New upstream version 1.5.4
  * Refresh patches.

 -- Michael Fladischer <fladi@debian.org>  Wed, 11 Sep 2024 19:38:40 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  libjs-mathjax,
  pybuild-plugin-pyproject,
  python3-all,
@@ -16,7 +16,7 @@
  python3-hatchling,
  python3-qrcode,
  python3-sphinx,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/django-otp
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-otp
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-otp.git

## python-django-otp 1.6.1

=== debian/changelog ===
python-django-otp (1.6.1-1) unstable; urgency=low

  * New upstream version 1.6.1
  * Remove unused signing key.
  * Refresh patches.
  * Bump Standards-Version to 4.7.2.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Mon, 25 Aug 2025 20:17:51 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-hatchling,
  python3-qrcode,
  python3-sphinx,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/django-otp
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-otp
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-otp.git

=== debian/rules ===
--- 
+++ 
@@ -12,9 +12,15 @@
 	dh_auto_build
 	PYTHONPATH=src:docs/ext python3 -m sphinx -b html -d docs/.build/.doctrees -N docs/source docs/.build/html
 
+execute_before_dh_auto_build:
+	set -e; \
+	for loc in src/django_otp/locale/*; do \
+		python3 -m babel.messages.frontend compile --directory=src/django_otp/locale/ --locale=$$(basename $$loc) --domain=django; \
+	done
+
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	dh_auto_test -- --system=custom --test-args="PYTHONPATH='src:test' {interpreter} /usr/bin/django-admin test --settings=test_project.settings django_otp"
+	dh_auto_test -- --system=custom --test-args="cd {build_dir}; {interpreter} -m django test --settings=test_project.settings django_otp"
 endif
 
 override_dh_clean:

## python-django-otp 1.7.0

=== debian/changelog ===
python-django-otp (1.7.0-1) unstable; urgency=low

  * New upstream version 1.7.0
  * Refresh patches.
  * Bump Standards-Version to 4.7.3.
  * Drop Rules-Requires-Root.
  * Update year in d/copyright.
  * Use uscan version 5.
  * Add patch to install tests.
  * Run tests using pytest.
  * Switch Testsuite to autopkgtest-pkg-pybuild.
  * Place pyproject.toml using d/pybuild.testfiles.
  * Simplify d/rules by using execute_after_ target instead of override.

 -- Michael Fladischer <fladi@debian.org>  Sat, 24 Jan 2026 23:08:26 +0000

=== debian/control ===
--- 
+++ 
@@ -14,14 +14,15 @@
  python3-django,
  python3-freezegun,
  python3-hatchling,
+ python3-pytest,
+ python3-pytest-django,
  python3-qrcode,
  python3-sphinx,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/django-otp
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-otp
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-otp.git
-Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python-django-otp-doc
 Section: doc

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-otp
export PYBUILD_TEST_ARGS=--ds=test_project.settings --pyargs django_otp.tests

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
	PYTHONPATH=src:docs/ext python3 -m sphinx -b html -d docs/.build/.doctrees -N docs/source docs/.build/html

execute_before_dh_auto_build:
	set -e; \
	for loc in src/django_otp/locale/*; do \
		python3 -m babel.messages.frontend compile --directory=src/django_otp/locale/ --locale=$$(basename $$loc) --domain=django; \
	done

execute_after_dh_clean:
	rm -rf docs/.build

=== debian/watch ===
version=5
opts=filenamemangle=s/.*\/v([\d\.]+.*)$/python-django-otp-$1/ \
https://github.com/django-otp/django-otp/tags \
/django-otp/django-otp/archive/refs/tags/v([\d\.]+)\.tar\.gz
